import PageContent from '@/components/PageContent';
import PageTitle from '@/components/PageTitle';
import { connect, useLocation, useParams, useSearchParams } from '@umijs/max';
import { useEffect } from 'react';
import Detail from './components/Detail';

const ReportDetail = (props) => {
  const { data, dispatch, loading } = props;
  const [searchParams, setSearchParams] = useSearchParams();

  const { projectId, routeId } = useParams();
  const eTime = new URLSearchParams(useLocation()?.search)?.get('eTime');

  useEffect(() => {
    if (routeId) {
      dispatch({
        type: 'eqSelfInspection/getPatrolDataById',
        payload: {
          routeId,
          projectId,
          eTime,
        },
        callback: () => {
          if (searchParams.get('model')) {
            document.getElementById(searchParams.get('model')).scrollIntoView();
          }
        },
      });
    }
  }, []);

  return (
    <PageContent closeable={false}>
      <PageTitle returnable>自检报告</PageTitle>
      <div className="content-title" style={{ marginTop: '0.2rem' }}>
        <Detail data={data} projectId={projectId} loading={loading} />
      </div>
    </PageContent>
  );
};
export default connect(({ loading, eqSelfInspection }) => ({
  data: eqSelfInspection.autoReport,
  loading: loading.models.eqSelfInspection,
}))(ReportDetail);
